/***************************** LICENSE START ***********************************

 Copyright 2012 ECMWF and INPE. This software is distributed under the terms
 of the Apache License version 2.0. In applying this license, ECMWF does not
 waive the privileges and immunities granted to it by virtue of its status as
 an Intergovernmental Organization or submit itself to any jurisdiction.

 ***************************** LICENSE END *************************************/

#ifndef GLWidget_H
#define GLWidget_H

#include <QGLWidget>

using namespace std;

class GLWidget : public QGLWidget
{
	Q_OBJECT

 public:
	GLWidget(const QGLFormat&, QWidget *parent = 0);
	~GLWidget();
        void initializeGL();
	void resizeGL(int, int);
	void paintGL();
	void setCursor(const string&);

 protected:
	void mousePressEvent   (QMouseEvent*) ;
	void mouseMoveEvent    (QMouseEvent*) ;
	void mouseReleaseEvent (QMouseEvent*) ;
	void keyPressEvent(QKeyEvent*);
	void keyReleaseEvent(QKeyEvent*);
	//void paintEvent(QPaintEvent *);
};

#endif
